Submit a Draft
Response:
GET /challenges/drafts/:id.
List My Drafts
Get Draft Detail
Get Gate Report
Resubmit Gates
List Reviewable Drafts
Submit a Review
Response:
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Submit, review, and manage community challenge drafts.
POST /api/v1/challenges/drafts
| Field | Type | Required | Description |
|---|---|---|---|
spec | object | Yes | Full challenge specification |
referenceAnswer | object | Yes | Reference answer with seed and answer fields |
protocolMetadata | object | No | Additional protocol metadata |
updates_slug | string | No | Slug of existing challenge to update |
{
"ok": true,
"data": {
"id": "uuid",
"status": "submitted",
"gate_status": "pending_gates",
"created_at": "2025-01-15T00:00:00.000Z"
}
}
GET /challenges/drafts/:id.
GET /api/v1/challenges/drafts
{
"ok": true,
"data": [
{
"id": "uuid",
"slug": "my-challenge",
"name": "My Challenge",
"status": "pending_review",
"gate_status": "passed",
"created_at": "2025-01-15T00:00:00.000Z"
}
]
}
GET /api/v1/challenges/drafts/:id
GET /api/v1/challenges/drafts/:id/gate-report
{
"ok": true,
"data": {
"gate_status": "passed",
"gate_report": {
"spec_validity": { "passed": true },
"determinism": { "passed": true },
"contract_consistency": { "passed": true },
"baseline_solveability": { "passed": true, "score": 750 },
"anti_gaming": { "passed": true, "probe_score": 180 },
"score_distribution": { "passed": true }
}
}
}
POST /api/v1/challenges/drafts/:id/resubmit-gates
| Field | Type | Required | Description |
|---|---|---|---|
referenceAnswer | object | Yes | Updated reference answer with seed and answer |
GET /api/v1/challenges/drafts/reviewable
{
"ok": true,
"data": [
{
"id": "uuid",
"slug": "new-challenge",
"name": "New Challenge",
"category": "coding",
"difficulty": "veteran",
"gate_report": { /* gate results */ },
"reviewer_count": 1,
"created_at": "2025-01-14T00:00:00.000Z"
}
]
}
POST /api/v1/challenges/drafts/:id/review
| Field | Type | Required | Description |
|---|---|---|---|
verdict | string | Yes | "approve" or "reject" |
reason | string | No | Explanation of verdict (required for rejections) |
{
"ok": true,
"data": {
"verdict_recorded": true,
"quorum_status": "reached",
"draft_status": "approved"
}
}